Bug 157236 - [PATCH] fix build of www/webkit-gtk2 with perl 5.14.0
Summary: [PATCH] fix build of www/webkit-gtk2 with perl 5.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-21 14:40 UTC by Christoph Moench-Tegeder
Modified: 2011-05-28 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (418 bytes, patch)
2011-05-21 14:40 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2011-05-21 14:40:09 UTC
	As mentioned in the Perl 5.10.1 release notes (perl5101delta(1)) and
	the 5.14.0 release notes (perl5140delta(1)) Switch.pm was deprecated
	and removed from the core perl distribution. www/webkit-gtk2 ships
	with a build script requiring Switch.pm, so we need lang/p5-Switch
	when building with perl 5.14.0.

Fix: Rather trivial patch:
How-To-Repeat: 	Upgrade to perl 5.14 and try to build webkit-gtk2
Comment 1 Edwin Groothuis freebsd_committer 2011-05-21 14:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger freebsd_committer 2011-05-21 23:34:23 UTC
State Changed
From-To: open->closed

Perl upgrade issue rather than webkit-gtk2.
Comment 3 Matthias Andree 2011-05-27 14:57:15 UTC
Jeremy,

this looks to me like a premature dismissal of a valid solution to a
problem observed in practice.

Yes, the Perl upgrade to 5.14 triggered that, but if evidently the port
doesn't build without lang/p5-Switch (see repeated reports on ports@),
then why did you reject this patch?

Best regards,
Matthias
Comment 4 Matthias Andree freebsd_committer 2011-05-27 15:01:50 UTC
State Changed
From-To: closed->open

reopening after repeated report on ports@
Comment 5 Matthias Andree freebsd_committer 2011-05-27 20:25:31 UTC
Responsible Changed
From-To: gnome->mandree

Steal, with mezz's permission.
Comment 6 Matthias Andree freebsd_committer 2011-05-27 20:25:43 UTC
State Changed
From-To: open->analyzed

work in progress, pending tinderbox test drives
Comment 7 dfilter service freebsd_committer 2011-05-28 00:29:15 UTC
mandree     2011-05-27 23:28:59 UTC

  FreeBSD ports repository

  Modified files:
    www/webkit-gtk2      Makefile 
  Log:
  Fix build with Perl >= 5.14.
  
  Perl 5.14 has deprecated Switch.pm, as announced since Perl 5.10.1.
  The webkit build script requires Switch though, so add it to BUILD_DEPENDS on
  newer Perl versions.
  
  Submitted by: Christoph Moench-Tegeder (including patch) [1]
  Approved by:  Jeremy Messenger (mezz@) in
      http://lists.freebsd.org/pipermail/freebsd-gnome/2011-May/026025.html
  PR:           ports/157236 [1]
  PR:           ports/157275 (duplicate by Hardy Schumacher)
  PR:           ports/157288 (copy of 157236)
  
  Revision  Changes    Path
  1.39      +4 -0      ports/www/webkit-gtk2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Matthias Andree freebsd_committer 2011-05-28 00:29:18 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!